% piston_mono.m

close all;clear
set(0,'DefaultAxesFontSize',20)

N = 21;
tau = 0.1;
m = 30.77;
omega2 = 3.03E-4;

[A,B,C,D] = use_discretisation(N, m, omega2);

u0 = zeros(2*N+2,1);
u0(2*N+2) = 1;

t = 0;

mat1 = eye(2*N+2) - tau*[A B;C D];
imat1 = inv(mat1);
f1 = zeros(2*N+2,1);
u1 = u0;
U1 = u1(2*N+1);

T = t;
while t < 1200;
  t = t + tau;
  u1 = imat1*(u1 + tau*f1);
  U1 = [U1,u1(2*N+1)];
  T = [T,t];  
end  

plot(T,U1, 'LineWidth',2)
xlabel('time t');
ylabel('displacement q');
print -dpng result.png
